## gcc-snapshot 20200715

=== debian/changelog ===
gcc-snapshot (1:20200715-1ubuntu1) groovy; urgency=medium

  * Snapshot, taken from the trunk (20200715).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2020 11:19:14 +0200

gcc-snapshot (1:20200715-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20200715).

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jul 2020 10:53:14 +0200

=== debian/control ===
Source: gcc-snapshot
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
  binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 arm64 ppc64el], llvm-10 [amd64], lld-10 [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-10:native, netbase, 
  libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
  dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
  pkg-config, libgc-dev, 
   g++-11-alpha-linux-gnu [alpha] <cross>, gobjc-11-alpha-linux-gnu [alpha] <cross>, gfortran-11-alpha-linux-gnu [alpha] <cross>, gdc-11-alpha-linux-gnu [alpha] <cross>, gccgo-11-alpha-linux-gnu [alpha] <cross>, gnat-11-alpha-linux-gnu [alpha] <cross>, gm2-11-alpha-linux-gnu [alpha] <cross>, g++-11-x86-64-linux-gnu [amd64] <cross>, gobjc-11-x86-64-linux-gnu [amd64] <cross>, gfortran-11-x86-64-linux-gnu [amd64] <cross>, gdc-11-x86-64-linux-gnu [amd64] <cross>, gccgo-11-x86-64-linux-gnu [amd64] <cross>, gnat-11-x86-64-linux-gnu [amd64] <cross>, gm2-11-x86-64-linux-gnu [amd64] <cross>, g++-11-arm-linux-gnueabi [armel] <cross>, gobjc-11-arm-linux-gnueabi [armel] <cross>, gfortran-11-arm-linux-gnueabi [armel] <cross>, gdc-11-arm-linux-gnueabi [armel] <cross>, gccgo-11-arm-linux-gnueabi [armel] <cross>, gnat-11-arm-linux-gnueabi [armel] <cross>, gm2-11-arm-linux-gnueabi [armel] <cross>, g++-11-arm-linux-gnueabihf [armhf] <cross>, gobjc-11-arm-linux-gnueabihf [armhf] <cross>, gfortran-11-arm-linux-gnueabihf [armhf] <cross>, gdc-11-arm-linux-gnueabihf [armhf] <cross>, gccgo-11-arm-linux-gnueabihf [armhf] <cross>, gnat-11-arm-linux-gnueabihf [armhf] <cross>, gm2-11-arm-linux-gnueabihf [armhf] <cross>, g++-11-aarch64-linux-gnu [arm64] <cross>, gobjc-11-aarch64-linux-gnu [arm64] <cross>, gfortran-11-aarch64-linux-gnu [arm64] <cross>, gdc-11-aarch64-linux-gnu [arm64] <cross>, gccgo-11-aarch64-linux-gnu [arm64] <cross>, gnat-11-aarch64-linux-gnu [arm64] <cross>, gm2-11-aarch64-linux-gnu [arm64] <cross>, g++-11-i686-linux-gnu [i386] <cross>, gobjc-11-i686-linux-gnu [i386] <cross>, gfortran-11-i686-linux-gnu [i386] <cross>, gdc-11-i686-linux-gnu [i386] <cross>, gccgo-11-i686-linux-gnu [i386] <cross>, gnat-11-i686-linux-gnu [i386] <cross>, gm2-11-i686-linux-gnu [i386] <cross>, g++-11-mipsel-linux-gnu [mipsel] <cross>, gobjc-11-mipsel-linux-gnu [mipsel] <cross>, gfortran-11-mipsel-linux-gnu [mipsel] <cross>, gdc-11-mipsel-linux-gnu [mipsel] <cross>, gccgo-11-mipsel-linux-gnu [mipsel] <cross>, gnat-11-mipsel-linux-gnu [mipsel] <cross>, gm2-11-mipsel-linux-gnu [mipsel] <cross>, g++-11-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-11-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-11-mips64-linux-gnuabi64 [mips64] <cross>, gdc-11-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-11-mips64-linux-gnuabi64 [mips64] <cross>, gnat-11-mips64-linux-gnuabi64 [mips64] <cross>, gm2-11-mips64-linux-gnuabi64 [mips64] <cross>, g++-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-11-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-11-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-11-powerpc-linux-gnu [powerpc] <cross>, gobjc-11-powerpc-linux-gnu [powerpc] <cross>, gfortran-11-powerpc-linux-gnu [powerpc] <cross>, gdc-11-powerpc-linux-gnu [powerpc] <cross>, gccgo-11-powerpc-linux-gnu [powerpc] <cross>, gnat-11-powerpc-linux-gnu [powerpc] <cross>, g++-11-powerpc64-linux-gnu [ppc64] <cross>, gobjc-11-powerpc64-linux-gnu [ppc64] <cross>, gfortran-11-powerpc64-linux-gnu [ppc64] <cross>, gdc-11-powerpc64-linux-gnu [ppc64] <cross>, gccgo-11-powerpc64-linux-gnu [ppc64] <cross>, gnat-11-powerpc64-linux-gnu [ppc64] <cross>, g++-11-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-11-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-11-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-11-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-11-powerpc64le-linux-gnu [ppc64el] <cross>, g++-11-m68k-linux-gnu [m68k] <cross>, gobjc-11-m68k-linux-gnu [m68k] <cross>, gfortran-11-m68k-linux-gnu [m68k] <cross>, gdc-11-m68k-linux-gnu [m68k] <cross>, gm2-11-m68k-linux-gnu [m68k] <cross>, g++-11-riscv64-linux-gnu [riscv64] <cross>, gobjc-11-riscv64-linux-gnu [riscv64] <cross>, gfortran-11-riscv64-linux-gnu [riscv64] <cross>, gdc-11-riscv64-linux-gnu [riscv64] <cross>, gccgo-11-riscv64-linux-gnu [riscv64] <cross>, gnat-11-riscv64-linux-gnu [riscv64] <cross>, gm2-11-riscv64-linux-gnu [riscv64] <cross>, g++-11-sh4-linux-gnu [sh4] <cross>, gobjc-11-sh4-linux-gnu [sh4] <cross>, gfortran-11-sh4-linux-gnu [sh4] <cross>, gnat-11-sh4-linux-gnu [sh4] <cross>, g++-11-sparc64-linux-gnu [sparc64] <cross>, gobjc-11-sparc64-linux-gnu [sparc64] <cross>, gfortran-11-sparc64-linux-gnu [sparc64] <cross>, gdc-11-sparc64-linux-gnu [sparc64] <cross>, gccgo-11-sparc64-linux-gnu [sparc64] <cross>, gnat-11-sparc64-linux-gnu [sparc64] <cross>, gm2-11-sparc64-linux-gnu [sparc64] <cross>, g++-11-s390x-linux-gnu [s390x] <cross>, gobjc-11-s390x-linux-gnu [s390x] <cross>, gfortran-11-s390x-linux-gnu [s390x] <cross>, gdc-11-s390x-linux-gnu [s390x] <cross>, gccgo-11-s390x-linux-gnu [s390x] <cross>, gnat-11-s390x-linux-gnu [s390x] <cross>, gm2-11-s390x-linux-gnu [s390x] <cross>, g++-11-x86-64-linux-gnux32 [x32] <cross>, gobjc-11-x86-64-linux-gnux32 [x32] <cross>, gfortran-11-x86-64-linux-gnux32 [x32] <cross>, gdc-11-x86-64-linux-gnux32 [x32] <cross>, gccgo-11-x86-64-linux-gnux32 [x32] <cross>, gnat-11-x86-64-linux-gnux32 [x32] <cross>, gm2-11-x86-64-linux-gnux32 [x32] <cross>, g++-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-snapshot
Architecture: any
Section: devel
Priority: optional
Depends: binutils (>= ${binutils:Version}),
  ${dep:libcbiarchdev}, ${dep:libcdev}, ${dep:libunwinddev}, python3, 
  ${snap:depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${snap:recommends}
Suggests: ${dep:gold}
Provides: c++-compiler, c++abi2-dev
Description: SNAPSHOT of the GNU Compiler Collection
 This package contains a recent development SNAPSHOT of all files

## gcc-snapshot 20200722

=== debian/changelog ===
gcc-snapshot (1:20200722-1ubuntu2) groovy; urgency=medium

  * Snapshot, taken from the trunk (20200722).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jul 2020 12:56:19 +0200

gcc-snapshot (1:20200722-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20200722).

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2020 12:39:52 +0200

## gcc-snapshot 20200809

=== debian/changelog ===
gcc-snapshot (1:20200809-1ubuntu1) groovy; urgency=medium

  * Snapshot, taken from the trunk (20200809).

 -- Matthias Klose <doko@debian.org>  Sun, 09 Aug 2020 22:26:10 +0200

gcc-snapshot (1:20200809-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20200809).

 -- Matthias Klose <doko@debian.org>  Sun, 09 Aug 2020 18:41:18 +0200

## gcc-snapshot 20200917

=== gcc/jit/docs/_build/texinfo/Makefile ===
# Makefile for Sphinx Texinfo output

infodir ?= /usr/share/info

MAKEINFO = makeinfo --no-split
MAKEINFO_html = makeinfo --no-split --html
MAKEINFO_plaintext = makeinfo --no-split --plaintext
TEXI2PDF = texi2pdf --batch --expand
INSTALL_INFO = install-info

ALLDOCS = $(basename $(wildcard *.texi))

all: info
info: $(addsuffix .info,$(ALLDOCS))
plaintext: $(addsuffix .txt,$(ALLDOCS))
html: $(addsuffix .html,$(ALLDOCS))
pdf: $(addsuffix .pdf,$(ALLDOCS))

install-info: info
	for f in *.info; do \
	  cp -t $(infodir) "$$f" && \
	  $(INSTALL_INFO) --info-dir=$(infodir) "$$f" ; \
	done

uninstall-info: info
	for f in *.info; do \
	  rm -f "$(infodir)/$$f"  ; \
	  $(INSTALL_INFO) --delete --info-dir=$(infodir) "$$f" ; \
	done

%.info: %.texi
	$(MAKEINFO) -o '$@' '$<'

%.txt: %.texi
	$(MAKEINFO_plaintext) -o '$@' '$<'

%.html: %.texi
	$(MAKEINFO_html) -o '$@' '$<'

%.pdf: %.texi
	-$(TEXI2PDF) '$<'
	-$(TEXI2PDF) '$<'
	-$(TEXI2PDF) '$<'

clean:
	rm -f *.info *.pdf *.txt *.html
	rm -f *.log *.ind *.aux *.toc *.syn *.idx *.out *.ilg *.pla *.ky *.pg
	rm -f *.vr *.tp *.fn *.fns *.def *.defs *.cp *.cps *.ge *.ges *.mo

.PHONY: all info plaintext html pdf install-info uninstall-info clean

=== debian/changelog ===
gcc-snapshot (1:20200917-1ubuntu1) groovy; urgency=medium

  * Snapshot, taken from the trunk (20200917).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Sep 2020 17:10:39 +0200

gcc-snapshot (1:20200917-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20200917).

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 15:18:49 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
   libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
   binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
-  gdb:native [!riscv64], nvptx-tools [amd64 arm64 ppc64el], llvm-10 [amd64], lld-10 [amd64], 
+  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-10 [amd64], lld-10 [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
   procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-10:native, netbase, 
   libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
@@ -39,3 +39,4 @@
 Provides: c++-compiler, c++abi2-dev
 Description: SNAPSHOT of the GNU Compiler Collection
  This package contains a recent development SNAPSHOT of all files
+ contained in the GNU Compiler Collection (GCC).

=== debian/tests/control ===
Tests: runtime-libs
Depends: apt, python3-minimal
Restrictions: allow-stderr

Tests: libc-link
Depends: gcc-10, libc6-dev | libc-dev

Tests: libstdcxx-link
Depends: g++-10

Tests: libgfortran-link
Depends: gfortran-10

Tests: libgo-link
Depends: gccgo-10

Tests: libgomp-link
Depends: gfortran-10, gcc-10

Tests: libgnat-link
Depends: gnat-10

Tests: shlib-build
Depends: gcc-10, libc6-dev | libc-dev

## gcc-snapshot 20201014

=== debian/changelog ===
gcc-snapshot (1:20201014-0ubuntu1) groovy; urgency=medium

  * Snapshot, taken from the trunk (20201014).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Oct 2020 11:35:15 +0200

gcc-snapshot (1:20201002-1ubuntu1) groovy; urgency=medium

  * Snapshot, taken from the trunk (20201002).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2020 14:46:35 +0200

gcc-snapshot (1:20201002-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201002).
  * Don't strip the executables.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Oct 2020 14:39:57 +0200

## gcc-snapshot 20201024

=== debian/changelog ===
gcc-snapshot (1:20201024-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201024).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 11:14:44 +0200

gcc-snapshot (1:20201023-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201023).
  * Configure with --enable-checking=yes,extra,rtl.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Oct 2020 14:15:44 +0200

## gcc-snapshot 20201117

=== debian/changelog ===
gcc-snapshot (1:20201117-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201029).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Nov 2020 16:29:48 +0100

gcc-snapshot (1:20201029-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201029).

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2020 19:31:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
   m4, libtool, autoconf, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
   gawk, lzma, xz-utils, patchutils, 
-  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
+  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
   binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-10 [amd64], lld-10 [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-10:native, netbase, 
+  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, 
   libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
   pkg-config, libgc-dev, 
@@ -40,3 +40,4 @@
 Description: SNAPSHOT of the GNU Compiler Collection
  This package contains a recent development SNAPSHOT of all files
  contained in the GNU Compiler Collection (GCC).
+ .

=== debian/tests/control ===
--- 
+++ 
@@ -20,5 +20,8 @@
 Tests: libgnat-link
 Depends: gnat-10
 
+Tests: libgphobos-link
+Depends: gdc-11
+
 Tests: shlib-build
 Depends: gcc-10, libc6-dev | libc-dev

## gcc-snapshot 20201125

=== debian/changelog ===
gcc-snapshot (1:20201125-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201125).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2020 18:33:44 +0100

gcc-snapshot (1:20201125-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201125).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Nov 2020 17:38:51 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
   libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
   binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
-  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-10 [amd64], lld-10 [amd64], 
+  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-11 [amd64], lld-11 [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, 
+  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, python3:any, 
   libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
   pkg-config, libgc-dev,

=== debian/tests/control ===
Tests: runtime-libs
Depends: apt, python3-minimal
Restrictions: allow-stderr

#Tests: libc-link
#Depends: gcc-11, libc6-dev | libc-dev

#Tests: libstdcxx-link
#Depends: g++-11

#Tests: libgfortran-link
#Depends: gfortran-11

#Tests: libgo-link
#Depends: gccgo-11

#Tests: libgomp-link
#Depends: gfortran-11, gcc-11

#Tests: libgnat-link
#Depends: gnat-11

#Tests: libgphobos-link
#Depends: gdc-11

#Tests: shlib-build
#Depends: gcc-11, libc6-dev | libc-dev

## gcc-snapshot 20201126

=== debian/changelog ===
gcc-snapshot (1:20201126-0ubuntu2) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201126).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Nov 2020 16:27:23 +0100

gcc-snapshot (1:20201125-2) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201125).

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2020 20:14:43 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-11 [amd64], lld-11 [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, python3:any, 
+  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, 
   libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
   pkg-config, libgc-dev,

## gcc-snapshot 20201204

=== gcc/m2/examples/svga/Makefile ===
# Copyright (C) 2003, 2004, 2005 Free Software Foundation, Inc.
# This file is part of GNU Modula-2.

# GNU Modula-2 is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.

# GNU Modula-2 is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License along
# with gm2; see the file COPYING.  If not, write to the Free Software
# Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

all: force
	gm2 -O -ffast-math -I.:../../gm2-libs:../../gm2-iso -fmakeall testbox.mod -lvga -lm

clean:
	$(RM) *.o a.out *~

force:

=== debian/changelog ===
gcc-snapshot (1:20201204-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201204).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Dec 2020 13:42:28 +0100

gcc-snapshot (1:20201204-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201204).

 -- Matthias Klose <doko@debian.org>  Fri, 04 Dec 2020 09:56:24 +0100

gcc-snapshot (1:20201203-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201203).

 -- Matthias Klose <doko@debian.org>  Thu, 03 Dec 2020 15:18:13 +0100

gcc-snapshot (1:20201127-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201127).

 -- Matthias Klose <doko@debian.org>  Fri, 27 Nov 2020 10:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
-  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
+  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc-s1 [armel], libc6-dev-armel [armhf], libsfgcc-s1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
   kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
   m4, libtool, autoconf, 
   dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],

## gcc-snapshot 20201205

=== gcc/m2/examples/iso/socket/Makefile ===


all: force
	gm2 -g -c -fiso client.mod
	gm2 -g -fiso client.mod

clean: force
	$(RM) a.out client.o *~

force:

=== debian/changelog ===
gcc-snapshot (1:20201205-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201205).
  * Don't build insn-extract.c with rtl checking.
  * Fix the riscv64 build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Dec 2020 11:30:59 +0100

## gcc-snapshot 20201208

=== debian/changelog ===
gcc-snapshot (1:20201208-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201208).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2020 13:22:44 +0100

gcc-snapshot (1:20201205-0ubuntu2) hirsute; urgency=medium

  * Enable LTO build on 64bit architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Dec 2020 12:15:55 +0100

gcc-4.0 (4.0.1-4ubuntu1) breezy; ur

## gcc-snapshot 20201210

=== debian/changelog ===
gcc-snapshot (1:20201210-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201210).
  * Disable LTO builds on arm64, ppc64el, riscv64, memory constraints on
    the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Dec 2020 14:40:52 +0100

## gcc-snapshot 20201212

=== debian/changelog ===
gcc-snapshot (1:20201212-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201212).
  * Disable LTO builds on arm64, ppc64el, riscv64, memory constraints on
    the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 10:09:24 +0100

## gcc-snapshot 20201213

=== debian/changelog ===
gcc-snapshot (1:20201213-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201213).
  * Disable ada on s390x.
  * No profiled bootstrap on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2020 09:24:03 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
   gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-11 [amd64], lld-11 [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, 
+  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !s390x], g++-10:native, netbase, 
   libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
   pkg-config, libgc-dev,

## gcc-snapshot 20201224

=== debian/changelog ===
gcc-snapshot (1:20201224-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201224).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Dec 2020 11:31:42 +0100

gcc-snapshot (1:20201224-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201224).

 -- Matthias Klose <doko@debian.org>  Thu, 24 Dec 2020 09:55:57 +0100

gcc-snapshot (1:20201215-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201214). c++ modules.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Dec 2020 22:04:01 +0100

gcc-snapshot (1:20201214-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201214).
  * Enable LTO build on 64bit architectures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Dec 2020 11:08:35 +0100

## gcc-snapshot 20201228

=== debian/changelog ===
gcc-snapshot (1:20201228-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20201228).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 14:49:01 +0100

gcc-snapshot (1:20201228-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20201228).

 -- Matthias Klose <doko@debian.org>  Mon, 28 Dec 2020 14:41:11 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
   libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
   binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
   gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
-  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-11 [amd64], lld-11 [amd64], 
+  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
   texinfo (>= 4.3), locales-all, sharutils, 
-  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !s390x], g++-10:native, netbase, 
+  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k], g++-10:native, netbase, 
   libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
   dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
   pkg-config, libgc-dev,

## gcc-snapshot 20210108

=== debian/changelog ===
gcc-snapshot (1:20210108-1ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210108).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2021 11:15:51 +0100

gcc-snapshot (1:20210108-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210108).

 -- Matthias Klose <doko@debian.org>  Fri, 08 Jan 2021 11:10:23 +0100

gcc-snapshot (1:20210102-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210102).
  * Build libgo again everywhere.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2021 10:18:01 +0100

gcc-snapshot (1:20210101-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20210101).
  * Don't build jit on m68k.
  * Force running the tests on some port architectures. It's an insane
    decision not to run tests for the whole port as a default.
  * Disable go on ia64, s390x, broken after the libgo 1.16 merge.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jan 2021 11:22:12 +0100

## gcc-snapshot 20210109

=== debian/changelog ===
gcc-snapshot (1:20210109-0ubuntu1) hirsute; urgency=medium

  * Snapshot, taken from the trunk (20210109).
  * Configure with --enable-link-serialization=1 on ppc64el.
  * Disable the lto build on s390x, PR ada/98228.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Jan 2021 13:33:23 +0100

=== debian/control ===
Source: gcc-snapshot
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.30-1~) [alpha ia64] | libc0.3-dev (>= 2.30-1~) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.30-1~), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], llvm-9 [amd64], lld-9 [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !m68k], g++-10:native, netbase, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-11-alpha-linux-gnu [alpha] <cross>, gobjc-11-alpha-linux-gnu [alpha] <cross>, gfortran-11-alpha-linux-gnu [alpha] <cross>, gdc-11-alpha-linux-gnu [alpha] <cross>, gccgo-11-alpha-linux-gnu [alpha] <cross>, gnat-11-alpha-linux-gnu [alpha] <cross>, gm2-11-alpha-linux-gnu [alpha] <cross>, g++-11-x86-64-linux-gnu [amd64] <cross>, gobjc-11-x86-64-linux-gnu [amd64] <cross>, gfortran-11-x86-64-linux-gnu [amd64] <cross>, gdc-11-x86-64-linux-gnu [amd64] <cross>, gccgo-11-x86-64-linux-gnu [amd64] <cross>, gnat-11-x86-64-linux-gnu [amd64] <cross>, gm2-11-x86-64-linux-gnu [amd64] <cross>, g++-11-arm-linux-gnueabi [armel] <cross>, gobjc-11-arm-linux-gnueabi [armel] <cross>, gfortran-11-arm-linux-gnueabi [armel] <cross>, gdc-11-arm-linux-gnueabi [armel] <cross>, gccgo-11-arm-linux-gnueabi [armel] <cross>, gnat-11-arm-linux-gnueabi [armel] <cross>, gm2-11-arm-linux-gnueabi [armel] <cross>, g++-11-arm-linux-gnueabihf [armhf] <cross>, gobjc-11-arm-linux-gnueabihf [armhf] <cross>, gfortran-11-arm-linux-gnueabihf [armhf] <cross>, gdc-11-arm-linux-gnueabihf [armhf] <cross>, gccgo-11-arm-linux-gnueabihf [armhf] <cross>, gnat-11-arm-linux-gnueabihf [armhf] <cross>, gm2-11-arm-linux-gnueabihf [armhf] <cross>, g++-11-aarch64-linux-gnu [arm64] <cross>, gobjc-11-aarch64-linux-gnu [arm64] <cross>, gfortran-11-aarch64-linux-gnu [arm64] <cross>, gdc-11-aarch64-linux-gnu [arm64] <cross>, gccgo-11-aarch64-linux-gnu [arm64] <cross>, gnat-11-aarch64-linux-gnu [arm64] <cross>, gm2-11-aarch64-linux-gnu [arm64] <cross>, g++-11-i686-linux-gnu [i386] <cross>, gobjc-11-i686-linux-gnu [i386] <cross>, gfortran-11-i686-linux-gnu [i386] <cross>, gdc-11-i686-linux-gnu [i386] <cross>, gccgo-11-i686-linux-gnu [i386] <cross>, gnat-11-i686-linux-gnu [i386] <cross>, gm2-11-i686-linux-gnu [i386] <cross>, g++-11-mipsel-linux-gnu [mipsel] <cross>, gobjc-11-mipsel-linux-gnu [mipsel] <cross>, gfortran-11-mipsel-linux-gnu [mipsel] <cross>, gdc-11-mipsel-linux-gnu [mipsel] <cross>, gccgo-11-mipsel-linux-gnu [mipsel] <cross>, gnat-11-mipsel-linux-gnu [mipsel] <cross>, gm2-11-mipsel-linux-gnu [mipsel] <cross>, g++-11-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-11-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-11-mips64-linux-gnuabi64 [mips64] <cross>, gdc-11-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-11-mips64-linux-gnuabi64 [mips64] <cross>, gnat-11-mips64-linux-gnuabi64 [mips64] <cross>, gm2-11-mips64-linux-gnuabi64 [mips64] <cross>, g++-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-11-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-11-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-11-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-11-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-11-powerpc-linux-gnu [powerpc] <cross>, gobjc-11-powerpc-linux-gnu [powerpc] <cross>, gfortran-11-powerpc-linux-gnu [powerpc] <cross>, gdc-11-powerpc-linux-gnu [powerpc] <cross>, gccgo-11-powerpc-linux-gnu [powerpc] <cross>, gnat-11-powerpc-linux-gnu [powerpc] <cross>, g++-11-powerpc64-linux-gnu [ppc64] <cross>, gobjc-11-powerpc64-linux-gnu [ppc64] <cross>, gfortran-11-powerpc64-linux-gnu [ppc64] <cross>, gdc-11-powerpc64-linux-gnu [ppc64] <cross>, gccgo-11-powerpc64-linux-gnu [ppc64] <cross>, gnat-11-powerpc64-linux-gnu [ppc64] <cross>, g++-11-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-11-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-11-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-11-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-11-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-11-powerpc64le-linux-gnu [ppc64el] <cross>, g++-11-m68k-linux-gnu [m68k] <cross>, gobjc-11-m68k-linux-gnu [m68k] <cross>, gfortran-11-m68k-linux-gnu [m68k] <cross>, gdc-11-m68k-linux-gnu [m68k] <cross>, gm2-11-m68k-linux-gnu [m68k] <cross>, g++-11-riscv64-linux-gnu [riscv64] <cross>, gobjc-11-riscv64-linux-gnu [riscv64] <cross>, gfortran-11-riscv64-linux-gnu [riscv64] <cross>, gdc-11-riscv64-linux-gnu [riscv64] <cross>, gccgo-11-riscv64-linux-gnu [riscv64] <cross>, gnat-11-riscv64-linux-gnu [riscv64] <cross>, gm2-11-riscv64-linux-gnu [riscv64] <cross>, g++-11-sh4-linux-gnu [sh4] <cross>, gobjc-11-sh4-linux-gnu [sh4] <cross>, gfortran-11-sh4-linux-gnu [sh4] <cross>, gnat-11-sh4-linux-gnu [sh4] <cross>, g++-11-sparc64-linux-gnu [sparc64] <cross>, gobjc-11-sparc64-linux-gnu [sparc64] <cross>, gfortran-11-sparc64-linux-gnu [sparc64] <cross>, gdc-11-sparc64-linux-gnu [sparc64] <cross>, gccgo-11-sparc64-linux-gnu [sparc64] <cross>, gnat-11-sparc64-linux-gnu [sparc64] <cross>, gm2-11-sparc64-linux-gnu [sparc64] <cross>, g++-11-s390x-linux-gnu [s390x] <cross>, gobjc-11-s390x-linux-gnu [s390x] <cross>, gfortran-11-s390x-linux-gnu [s390x] <cross>, gdc-11-s390x-linux-gnu [s390x] <cross>, gccgo-11-s390x-linux-gnu [s390x] <cross>, gnat-11-s390x-linux-gnu [s390x] <cross>, gm2-11-s390x-linux-gnu [s390x] <cross>, g++-11-x86-64-linux-gnux32 [x32] <cross>, gobjc-11-x86-64-linux-gnux32 [x32] <cross>, gfortran-11-x86-64-linux-gnux32 [x32] <cross>, gdc-11-x86-64-linux-gnux32 [x32] <cross>, gccgo-11-x86-64-linux-gnux32 [x32] <cross>, gnat-11-x86-64-linux-gnux32 [x32] <cross>, gm2-11-x86-64-linux-gnux32 [x32] <cross>, g++-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-11-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-11-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-11-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-11-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-11-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-snapshot
Architecture: any
Section: devel
Priority: optional
Depends: binutils (>= ${binutils:Version}),
  ${dep:libcbiarchdev}, ${dep:libcdev}, ${dep:libunwinddev}, python3, 
  ${snap:depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${snap:recommends}
Suggests: ${dep:gold}
Provides: c++-compiler, c++abi2-dev
Description: SNAPSHOT of the GNU Compiler Collection
 This package contains a recent development SNAPSHOT of all files
 contained in the GNU Compiler Collection (GCC).
 .
 The source code for this package has been exported from SVN trunk.
 .
 DO NOT USE THIS SNAPSHOT FOR BUILDING DEBIAN PACKAGES!
 .
 This package will NEVER hit the testing distribution. It is used for
 tracking gcc bugs submitted to the Debian BTS in recent development
